# ACE_Refcountable Class Reference

`#include <Refcountable.h>`

Inheritance diagram for ACE_Refcountable:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Refcountable (void)
| Destructor.
int | increment (void)
int | decrement (void)
int | refcount (void) const
| Returns the current refcount.

## Protected Member Functions

| ACE_Refcountable (int refcount)
| Protected constructor.

## Protected Attributes

int | refcount_
| Current refcount.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Refcountable::~ACE_Refcountable | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Refcountable::ACE_Refcountable | ( | int | refcount | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

ACE_INLINE int ACE_Refcountable::decrement | ( | void |  | ) |

ACE_INLINE int ACE_Refcountable::increment | ( | void |  | ) |

ACE_INLINE int ACE_Refcountable::refcount | ( | void |  | ) | const

| Returns the current refcount.

## Member Data Documentation

int ACE_Refcountable::refcount_`[protected]`

| Current refcount.

The documentation for this class was generated from the following files:

- Refcountable.h
- Refcountable.cpp
- Refcountable.inl